.header-main {
    position: relative;
    background-color: transparent;
}

.header-wrapper,
.mobile-header {
    position: fixed;
    z-index: 9999;
    top: 0;
    width: 100%;
    height: 66px;
    display: flex;
    align-items: center;
    background-color: transparent;
    transition: background-color ease-in-out 0.4s;
}

.transparent-header-wrapper.scrolled,
.solid-header-wrapper,
.transparent-mobile-header.scrolled,
.solid-mobile-header {
    background-color: #03364A;
}

.header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-logo img {
    width: 100%;
    max-width: 113px;
}

.header-menu .menu-header-menu-container ul#menu-header-menu {
    display: flex;
    gap: 28px;
}

.header-menu .menu-header-menu-container ul#menu-header-menu a,
.overlay ul li a {
    color: rgba(255, 255, 255, 0.85);
    font-family: 'DM Sans', sans-serif;
    font-size: 16px;
    font-weight: 500;
}

.header-menu .menu-header-menu-container ul#menu-header-menu a:hover,
.overlay ul li a:hover,
.header-menu .menu-header-menu-container ul#menu-header-menu .current-menu-item a,
.overlay ul li.current-menu-item a {
    color: var(--primary-color);
}

.header-btns {
    display: flex;
    gap: 10px;
}

.mobile-menu {
    display: none;
}

.mobile-header-row {
    display: flex;
    align-items: center;
    padding: 0 20px;
}

.mobile-logo-wrapper {
    max-width: 100px;
}

.mobile-header-btns {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    opacity: 0;
    transform: translateX(40px);
}

.user-avatar-btn {
    height: 40px;
    width: 40px;
    border-radius: 10px;
    overflow: hidden;
}

.button-container {
    position: absolute;
    top: -6px;
    right: 20px;
    height: 18px;
    width: 24px;
    cursor: pointer;
    z-index: 100;
    transition: opacity 0.25s ease;
    bottom: 0;
    margin: auto;
}

.button-container span {
    background-color: var(--white);
    border: none;
    height: 3px;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: transform 0.35s ease, opacity 0.35s ease;
    cursor: pointer;
}

.button-container span:nth-of-type(2) {
    top: 8px;
}

.button-container span:nth-of-type(3) {
    top: 16px;
}

.button-container.active .top {
    transform: translateY(11px) translateX(0) rotate(45deg);
}

.button-container.active .middle {
    opacity: 0;
}

.button-container.active .bottom {
    transform: translateY(-5px) translateX(0) rotate(-45deg);
}

.overlay {
    position: fixed;
    background-color: #03364A;
    top: 0;
    left: 0;
    width: 100%;
    height: 0%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.35s, visibility 0.35s, height 0.35s;
    overflow: hidden;
    z-index: 9;
    padding: 0 20px;
}

.overlay.open {
    opacity: 1;
    visibility: visible;
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
}

body:has(.overlay.open) {
    position: fixed;
}

.overlay nav {
    transform: translateY(100px);
}

.overlay ul li {
    display: flex;
    justify-content: center;
    margin-bottom: 24px;
    position: relative;
    opacity: 0;
    transform: translateX(40px);
}

@keyframes fadeInRight {
    0% {
        opacity: 0;
        transform: translateX(40px);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.overlay.open li {
    animation: fadeInRight 0.5s ease forwards;
    animation-delay: 0.35s;
}

.overlay.open li:nth-of-type(2) {
    animation-delay: 0.4s;
}

.overlay.open li:nth-of-type(3) {
    animation-delay: 0.45s;
}

.overlay.open li:nth-of-type(4) {
    animation-delay: 0.5s;
}

.overlay.open li:nth-of-type(5) {
    animation-delay: 0.55s;
}

.overlay.open li:nth-of-type(6) {
    animation-delay: 0.6s;
}

.overlay.open li:nth-of-type(7) {
    animation-delay: 0.65s;
}

.overlay.open li:nth-of-type(8) {
    animation-delay: 0.7s;
}

.overlay.open .mobile-header-btns {
    animation: fadeInRight 0.5s ease forwards;
    animation-delay: 0.55s;
}

header:has(.solid-header-wrapper) {
    height: 66px;
}

@media screen and (max-width: 992px) {
    .mobile-menu {
        display: block;
    }

    .header-main {
        display: none;
    }
}